%define shortname lcf
%define major   0
%define libname %mklibname %{shortname} %{major}
%define devname %mklibname %{shortname} -d

Name:           liblcf
Version:        0.5.2
Release:        %mkrel 1
Summary:        Library to handle RPG Maker 2000/2003 and EasyRPG projects
Group:          System/Libraries
License:        MIT
URL:            https://easy-rpg.org
Source0:        https://easy-rpg.org/downloads/player/%{name}-%{version}.tar.gz

BuildRequires:  doxygen
BuildRequires:  icu-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(expat)

%description
liblcf is a library to handle RPG Maker 2000 and 2003 game data.
It can read and write LCF and XML files. Part of C++ source files
can be regenerated from templates and CSV files using a Python script.

liblcf is part of the EasyRPG Project. More information is available
at the project website: easy-rpg.org

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library to handle RPG Maker 2000/2003 and EasyRPG projects
Group:          System/Libraries

%description -n %{libname}
liblcf is a library to handle RPG Maker 2000 and 2003 game data.
It can read and write LCF and XML files. Part of C++ source files
can be regenerated from templates and CSV files using a Python script.

liblcf is part of the EasyRPG Project. More information is available
at the project website: easy-rpg.org

%files -n       %{libname}
%doc AUTHORS.md COPYING README.md
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers and library for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains development headers and library for %{name},
a library which handles RPG Maker 2000/2003 and EasyRPG projects.

%files -n       %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup
rm -f libtool

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Jul 01 2017 akien <akien> 0.5.2-1.mga6
+ Revision: 1108789
- Version 0.5.2

* Wed Apr 12 2017 akien <akien> 0.5.1-1.mga6
+ Revision: 1096488
- Version 0.5.1

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 0.5.0-2.mga6
+ Revision: 1092716
- Rebuild for icu-58.2

* Sat Oct 08 2016 akien <akien> 0.5.0-1.mga6
+ Revision: 1059628
- Version 0.5.0

* Sat May 14 2016 shlomif <shlomif> 0.4.1-3.mga6
+ Revision: 1015285
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 0.4.1-2.mga6
+ Revision: 1015050
- Rebuild for ICU

* Sat Apr 02 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 997633
- Version 0.4.1

* Mon Jan 04 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 919391
- Version 0.4.0

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.2.2-4.mga6
+ Revision: 917909
- rebuild for icu

* Mon Aug 31 2015 cjw <cjw> 0.2.2-3.mga6
+ Revision: 871550
- rebuild with gcc 5

* Fri Jul 24 2015 cjw <cjw> 0.2.2-2.mga6
+ Revision: 856800
- rebuild for icu 55

* Tue Dec 02 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 800395
- Version 0.2.2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 747563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 681574
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 akien <akien> 0.2.1-1.mga5
+ Revision: 642789
- Version 0.2.1

* Sat Jun 28 2014 akien <akien> 0.2-2.mga5
+ Revision: 640845
- Development library requires the main library

* Sat Jun 28 2014 akien <akien> 0.2-1.mga5
+ Revision: 640808
- imported package liblcf

